<?php

namespace Hrm\Job;

use User;

class Job
{
    /**
     * $job object.
     */
    protected $job;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Job\Interfaces\JobRepositoryInterface $job)
    {
        $this->job = $job;
    }

    /**
     * Returns count of job.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.job.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->job->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\JobUserCriteria());
        }

        $job = $this->job->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('job::' . $view, compact('job'))->render();
    }
}
