<?php

namespace Hrm\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Job\Models\Job $job)
    {
        return [
            'id'                => $job->getRouteKey(),
            'key'               => [
                'public'    => $job->getPublicKey(),
                'route'     => $job->getRouteKey(),
            ], 
            'id'                => $job->id,
            'user_id'           => $job->user_id,
            'user_type'         => $job->user_type,
            'slug'              => $job->slug,
            'name'              => $job->name,
            'details'           => $job->details,
            'created_at'        => $job->created_at,
            'updated_at'        => $job->updated_at,
            'deleted_at'        => $job->deleted_at,
            'url'               => [
                'public'    => trans_url('job/'.$job->getPublicKey()),
                'user'      => guard_url('job/job/'.$job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$job->status),
            'created_at'        => format_date($job->created_at),
            'updated_at'        => format_date($job->updated_at),
        ];
    }
}